diff --git a/testing/talos/talos/profiler/symbolicationRequest.py b/testing/talos/talos/profiler/symbolicationRequest.py
index 9b5fb0ab2c..f986356c64 100755
--- a/testing/talos/talos/profiler/symbolicationRequest.py
+++ b/testing/talos/talos/profiler/symbolicationRequest.py
@@ -2,11 +2,12 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from symLogging import LogTrace, LogError
+from .symLogging import LogTrace, LogError
 
 import re
 import json
-import urllib2
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
+import six
 
 # Precompiled regex for validating lib names
 # Empty lib name means client couldn't associate frame with any lib
@@ -22,9 +23,9 @@ But for python 3.0 compatibility, 'basestring' isn't defined, but the 'str' type
 So we force 'basestring' to 'str'.
 """
 try:
-    basestring
+    str
 except NameError:
-    basestring = str
+    str = str
 
 
 class ModuleV3:
@@ -35,11 +36,11 @@ class ModuleV3:
 
 
 def getModuleV3(libName, breakpadId):
-    if not isinstance(libName, basestring) or not gLibNameRE.match(libName):
+    if not isinstance(libName, str) or not gLibNameRE.match(libName):
         LogTrace("Bad library name: " + str(libName))
         return None
 
-    if not isinstance(breakpadId, basestring):
+    if not isinstance(breakpadId, str):
         LogTrace("Bad breakpad id: " + str(breakpadId))
         return None
 
@@ -202,9 +203,9 @@ class SymbolicationRequest:
                 }
                 requestJson = json.dumps(requestObj)
                 headers = {"Content-Type": "application/json"}
-                requestHandle = urllib2.Request(url, requestJson, headers)
+                requestHandle = six.moves.urllib.request.Request(url, requestJson, headers)
                 try:
-                    response = urllib2.urlopen(requestHandle)
+                    response = six.moves.urllib.request.urlopen(requestHandle)
                 except Exception as e:
                     if requestVersion == 4:
                         # Try again with version 3
diff --git a/testing/talos/talos/results.py b/testing/talos/talos/results.py
index de81ac4902..dabe2d6e17 100755
--- a/testing/talos/talos/results.py
+++ b/testing/talos/talos/results.py
@@ -9,6 +9,7 @@ objects and methods for parsing and serializing Talos results
 see https://wiki.mozilla.org/Buildbot/Talos/DataFormat
 """
 
+from __future__ import print_function
 import json
 import os
 import re
@@ -55,11 +56,11 @@ class TalosResults(object):
                 )
             except:
                 pass
-            print('\nFAIL: %s' % str(e).replace('\n', '\nRETURN:'))
+            print(('\nFAIL: %s' % str(e).replace('\n', '\nRETURN:')))
             raise e
 
         if tbpl_output:
-            print("TinderboxPrint: TalosResult: %s" % json.dumps(tbpl_output))
+            print(("TinderboxPrint: TalosResult: %s" % json.dumps(tbpl_output)))
 
 
 class TestResults(object):
@@ -420,14 +421,14 @@ class BrowserLogResults(object):
         self.mainthread_io(counter_results)
 
         if not set(counters).union(set(mainthread_counters))\
-                .intersection(counter_results.keys()):
+                .intersection(list(counter_results.keys())):
             # no xperf counters to accumulate
             return
 
         filename = 'etl_output_thread_stats.csv'
         if not os.path.exists(filename):
-            print("Warning: we are looking for xperf results file %s, and"
-                  " didn't find it" % filename)
+            print(("Warning: we are looking for xperf results file %s, and"
+                  " didn't find it" % filename))
             return
 
         contents = open(filename).read()
@@ -455,11 +456,11 @@ class BrowserLogResults(object):
                 counter_results.setdefault(counter_name, []).append(value)
                 self.using_xperf = True
 
-        if (set(mainthread_counters).intersection(counter_results.keys())):
+        if (set(mainthread_counters).intersection(list(counter_results.keys()))):
             filename = 'etl_output.csv'
             if not os.path.exists(filename):
-                print("Warning: we are looking for xperf results file"
-                      " %s, and didn't find it" % filename)
+                print(("Warning: we are looking for xperf results file"
+                      " %s, and didn't find it" % filename))
                 return
 
             contents = open(filename).read()
@@ -485,7 +486,7 @@ class BrowserLogResults(object):
 
         counters = ['Main', 'Content']
         if not set(['%s_RSS' % i for i in counters])\
-                .intersection(counter_results.keys()):
+                .intersection(list(counter_results.keys())):
             # no RSS counters to accumulate
             return
         for line in self.results_raw.split('\n'):
diff --git a/testing/talos/talos/run_tests.py b/testing/talos/talos/run_tests.py
index 1e5c3ac508..6161d2a35a 100755
--- a/testing/talos/talos/run_tests.py
+++ b/testing/talos/talos/run_tests.py
@@ -4,13 +4,14 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import mozversion
 import os
 import sys
 import time
 import traceback
-import urllib
-import utils
+import six.moves.urllib.request, six.moves.urllib.parse, six.moves.urllib.error
+from . import utils
 import mozhttpd
 
 from mozlog import get_proxy_logger
@@ -40,9 +41,9 @@ def buildCommandLine(test):
 
     # sanity check pageloader values
     # mandatory options: tpmanifest, tpcycles
-    if test['tpcycles'] not in range(1, 1000):
+    if test['tpcycles'] not in list(range(1, 1000)):
         raise TalosError('pageloader cycles must be int 1 to 1,000')
-    if test.get('tpdelay') and test['tpdelay'] not in range(1, 10000):
+    if test.get('tpdelay') and test['tpdelay'] not in list(range(1, 10000)):
         raise TalosError('pageloader delay must be int 1 to 10,000')
     if 'tpmanifest' not in test:
         raise TalosError("tpmanifest not found in test: %s" % test)
@@ -101,7 +102,7 @@ def run_tests(config, browser_config):
                 test[path] = utils.interpolate(test[path])
         if test.get('tpmanifest'):
             test['tpmanifest'] = \
-                os.path.normpath('file:/%s' % (urllib.quote(test['tpmanifest'],
+                os.path.normpath('file:/%s' % (six.moves.urllib.parse.quote(test['tpmanifest'],
                                                '/\\t:\\')))
         if not test.get('url'):
             # build 'url' for tptest
@@ -150,7 +151,7 @@ def run_tests(config, browser_config):
         browser_config['sourcestamp'] = version_info['application_changeset']
     except KeyError:
         if not browser_config['develop']:
-            print("unable to find changeset or repository: %s" % version_info)
+            print(("unable to find changeset or repository: %s" % version_info))
             sys.exit()
         else:
             browser_config['repository'] = 'develop'
@@ -228,8 +229,8 @@ def run_tests(config, browser_config):
     if results_urls:
         talos_results.output(results_urls)
         if browser_config['develop'] or config['sps_profile']:
-            print("Thanks for running Talos locally. Results are in %s"
-                  % (results_urls['output_urls']))
+            print(("Thanks for running Talos locally. Results are in %s"
+                  % (results_urls['output_urls'])))
 
     # we will stop running tests on a failed test, or we will return 0 for
     # green
diff --git a/testing/talos/talos/scripts/report.py b/testing/talos/talos/scripts/report.py
index 7aebc51c60..9bd23a1f6f 100644
--- a/testing/talos/talos/scripts/report.py
+++ b/testing/talos/talos/scripts/report.py
@@ -123,11 +123,11 @@ def main():
     tuple_list = get_all_test_tuples()
     f = 'report'
     if args.platform:
-        tuple_list = filter(lambda x: x[4] == args.platform, tuple_list)
+        tuple_list = [x for x in tuple_list if x[4] == args.platform]
         f += '-%s' % args.platform
 
     if args.test:
-        tuple_list = filter(lambda x: x[3] == args.test, tuple_list)
+        tuple_list = [x for x in tuple_list if x[3] == args.test]
         f += '-%s' % args.test
 
     f += '-%s' % args.mode
diff --git a/testing/talos/talos/talos_process.py b/testing/talos/talos/talos_process.py
index b601240f33..2a553f43d4 100644
--- a/testing/talos/talos/talos_process.py
+++ b/testing/talos/talos/talos_process.py
@@ -10,7 +10,7 @@ from threading import Event
 
 from mozlog import get_proxy_logger
 
-from utils import TalosError
+from .utils import TalosError
 
 LOG = get_proxy_logger()
 
diff --git a/testing/talos/talos/talosconfig.py b/testing/talos/talos/talosconfig.py
index 2645a56bf3..328399cedd 100644
--- a/testing/talos/talos/talosconfig.py
+++ b/testing/talos/talos/talosconfig.py
@@ -1,9 +1,10 @@
+from __future__ import print_function
 import os
 import json
 
 
 def writeConfigFile(obj, vals):
-    data = dict((opt, obj[opt]) for opt in (vals or obj.keys()))
+    data = dict((opt, obj[opt]) for opt in (vals or list(obj.keys())))
     return json.dumps(data)
 
 
diff --git a/testing/talos/talos/test.py b/testing/talos/talos/test.py
index 6df5835bb7..53c8995cd6 100644
--- a/testing/talos/talos/test.py
+++ b/testing/talos/talos/test.py
@@ -65,7 +65,7 @@ class Test(object):
 
     def __str__(self):
         """string form appropriate for YAML output"""
-        items = self.items()
+        items = list(self.items())
 
         key, value = items.pop(0)
         lines = ["- %s: %s" % (key, value)]
diff --git a/testing/talos/talos/ttest.py b/testing/talos/talos/ttest.py
index 3c57f020dd..89a4cc1f54 100644
--- a/testing/talos/talos/ttest.py
+++ b/testing/talos/talos/ttest.py
@@ -12,14 +12,15 @@
      - waits for a 'dump' from the browser
 """
 
+from __future__ import print_function
 import os
 import sys
 import platform
-import results
+from . import results
 import subprocess
-import utils
+from . import utils
 import mozcrash
-import talosconfig
+from . import talosconfig
 import shutil
 import mozfile
 
diff --git a/testing/talos/talos/utils.py b/testing/talos/talos/utils.py
index 2b332d2301..8473cef828 100755
--- a/testing/talos/talos/utils.py
+++ b/testing/talos/talos/utils.py
@@ -6,9 +6,9 @@
 
 import os
 import time
-import urlparse
+import six.moves.urllib.parse
 import string
-import urllib
+import six.moves.urllib.request, six.moves.urllib.parse, six.moves.urllib.error
 import json
 import re
 import platform
@@ -136,7 +136,7 @@ def urlsplit(url, default_scheme='file'):
         return ['file', '', url[len('file://'):], '', '']
 
     # split the URL and return a list
-    return [i for i in urlparse.urlsplit(url)]
+    return [i for i in six.moves.urllib.parse.urlsplit(url)]
 
 
 def parse_pref(value):
@@ -170,9 +170,9 @@ def GenerateBrowserCommandLine(browser_path, extra_args, profile_dir,
             command_args.extend(['-tpprofilinginfo',
                                  json.dumps(profiling_info)])
         elif url.find('?') != -1:
-            url += '&' + urllib.urlencode(profiling_info)
+            url += '&' + six.moves.urllib.parse.urlencode(profiling_info)
         else:
-            url += '?' + urllib.urlencode(profiling_info)
+            url += '?' + six.moves.urllib.parse.urlencode(profiling_info)
 
     command_args.extend(url.split(' '))
 
@@ -184,7 +184,7 @@ def indexed_items(itr):
     Generator that allows us to figure out which item is the last one so
     that we can serialize this data properly
     """
-    prev_i, prev_val = 0, itr.next()
+    prev_i, prev_val = 0, next(itr)
     for i, val in enumerate(itr, start=1):
         yield prev_i, prev_val
         prev_i, prev_val = i, val
diff --git a/testing/talos/talos/whitelist.py b/testing/talos/talos/whitelist.py
index 1e4c4117eb..7d07095152 100644
--- a/testing/talos/talos/whitelist.py
+++ b/testing/talos/talos/whitelist.py
@@ -3,9 +3,10 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import json
 import os
-import utils
+from . import utils
 
 KEY_XRE = '{xre}'
 DEFAULT_DURATION = 100.0
@@ -37,7 +38,7 @@ class Whitelist:
                 self.listmap[whitelist_name.lower()] = temp[whitelist_name]
 
         except IOError as e:
-            print("%s: %s" % (e.filename, e.strerror))
+            print(("%s: %s" % (e.filename, e.strerror)))
             return False
         return True
 
@@ -45,7 +46,7 @@ class Whitelist:
         filename = filename.lower()
         filename.replace(' (x86)', '')
 
-        for path, subst in self.path_substitutions.iteritems():
+        for path, subst in self.path_substitutions.items():
             parts = filename.split(path)
             if len(parts) >= 2:
                 if self.PRE_PROFILE == '' and subst == '{profile}':
@@ -68,7 +69,7 @@ class Whitelist:
 
                 filename = "%s%s" % (subst, path.join(parts[1:]))
 
-        for old_name, new_name in self.name_substitutions.iteritems():
+        for old_name, new_name in self.name_substitutions.items():
             parts = filename.split(old_name)
             if len(parts) >= 2:
                 filename = "%s%s" % (parts[0], new_name)
@@ -77,7 +78,7 @@ class Whitelist:
 
     def check(self, test, file_name_index):
         errors = {}
-        for row_key in test.iterkeys():
+        for row_key in test.keys():
             filename = self.sanitize_filename(row_key[file_name_index])
 
             if filename in self.listmap:
@@ -94,7 +95,7 @@ class Whitelist:
 
     def checkDuration(self, test, file_name_index, file_duration_index):
         errors = {}
-        for idx, (row_key, row_value) in utils.indexed_items(test.iteritems()):
+        for idx, (row_key, row_value) in utils.indexed_items(test.items()):
             if row_value[file_duration_index] > DEFAULT_DURATION:
                 filename = self.sanitize_filename(row_key[file_name_index])
                 if filename in self.listmap and \
@@ -127,7 +128,7 @@ class Whitelist:
     @staticmethod
     def get_error_strings(errors):
         error_strs = []
-        for filename, data in errors.iteritems():
+        for filename, data in errors.items():
             for datum in data:
                 error_strs.append("File '%s' was accessed and we were not"
                                   " expecting it: %r" % (filename, datum))
@@ -135,8 +136,8 @@ class Whitelist:
 
     def print_errors(self, error_strs):
         for error_msg in error_strs:
-            print("TEST-UNEXPECTED-FAIL | %s | %s" % (self.test_name,
-                                                      error_msg))
+            print(("TEST-UNEXPECTED-FAIL | %s | %s" % (self.test_name,
+                                                      error_msg)))
 
     # Note that we don't store dependent libs in listmap. This makes
     # save_baseline cleaner. Since a baseline whitelist should not include
@@ -153,5 +154,5 @@ class Whitelist:
                     {'ignore': True} for lib in libs}
             return True
         except IOError as e:
-            print("%s: %s" % (e.filename, e.strerror))
+            print(("%s: %s" % (e.filename, e.strerror)))
             return False
diff --git a/testing/talos/talos/xtalos/__init__.py b/testing/talos/talos/xtalos/__init__.py
index 73122f3553..ec0dcb9fca 100644
--- a/testing/talos/talos/xtalos/__init__.py
+++ b/testing/talos/talos/xtalos/__init__.py
@@ -1,5 +1,5 @@
 # xtalos: talos + xperf
 
-from start_xperf import start  # noqa
-from start_xperf import start_from_config  # noqa
-import etlparser  # noqa
+from .start_xperf import start  # noqa
+from .start_xperf import start_from_config  # noqa
+from . import etlparser  # noqa
diff --git a/testing/talos/talos/xtalos/etlparser.py b/testing/talos/talos/xtalos/etlparser.py
index d52c112e18..e9a3c42156 100644
--- a/testing/talos/talos/xtalos/etlparser.py
+++ b/testing/talos/talos/xtalos/etlparser.py
@@ -4,11 +4,12 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import csv
 import re
 import os
 import sys
-import xtalos
+from . import xtalos
 import subprocess
 import json
 import mozfile
@@ -79,7 +80,7 @@ def getIndex(eventType, colName):
 
 
 def readFile(filename):
-    print("etlparser: in readfile: %s" % filename)
+    print(("etlparser: in readfile: %s" % filename))
     data = csv.reader(open(filename, 'rb'), delimiter=',', quotechar='"',
                       skipinitialspace=True)
     data = filterOutHeader(data)
@@ -150,7 +151,7 @@ def etl2csv(xperf_path, etl_filename, debug=False):
                  '%s.kernel' % etl_filename,
                  etl_filename]
     if debug:
-        print("executing '%s'" % subprocess.list2cmdline(xperf_cmd))
+        print(("executing '%s'" % subprocess.list2cmdline(xperf_cmd)))
     subprocess.call(xperf_cmd)
 
     csv_filename = '%s.csv' % etl_filename
@@ -158,7 +159,7 @@ def etl2csv(xperf_path, etl_filename, debug=False):
                  '-i', etl_filename,
                  '-o', csv_filename]
     if debug:
-        print("executing '%s'" % subprocess.list2cmdline(xperf_cmd))
+        print(("executing '%s'" % subprocess.list2cmdline(xperf_cmd)))
     subprocess.call(xperf_cmd)
     return csv_filename
 
@@ -226,7 +227,7 @@ def loadWhitelist(filename):
     if not filename:
         return
     if not os.path.exists(filename):
-        print("Warning: xperf whitelist %s was not found" % filename)
+        print(("Warning: xperf whitelist %s was not found" % filename))
         return
     lines = open(filename).readlines()
     # Expand paths
@@ -276,7 +277,7 @@ def etlparser(xperf_path, etl_filename, processID, approot=None,
     io = {}
     stage = 0
 
-    print("reading etl filename: %s" % etl_filename)
+    print(("reading etl filename: %s" % etl_filename))
     csvname = etl2csv(xperf_path, etl_filename, debug=debug)
     for row in readFile(csvname):
         event = row[EVENTNAME_INDEX]
@@ -297,7 +298,7 @@ def etlparser(xperf_path, etl_filename, processID, approot=None,
         mozfile.remove(csvname)
 
     output = "thread, stage, counter, value\n"
-    for cntr in sorted(io.iterkeys()):
+    for cntr in sorted(io.keys()):
         output += "%s, %s\n" % (", ".join(cntr), str(io[cntr]))
     if outputFile:
         fname = "%s_thread_stats%s" % os.path.splitext(outputFile)
@@ -314,11 +315,10 @@ def etlparser(xperf_path, etl_filename, processID, approot=None,
 
     # Filter out stages, threads, and whitelisted files that we're not
     # interested in
-    filekeys = filter(lambda x: (all_stages or x[2] == stages[0]) and
+    filekeys = [x for x in files.keys() if (all_stages or x[2] == stages[0]) and
                                 (all_threads or x[1].endswith("(main)")) and
                                 (all_stages and x[2] != stages[0] or
-                                 not checkWhitelist(x[0], whitelist)),
-                      files.iterkeys())
+                                 not checkWhitelist(x[0], whitelist))]
 
     # output data
     for row in filekeys:
@@ -447,7 +447,7 @@ def etlparser(xperf_path, etl_filename, processID, approot=None,
         for error in errors:
             # NOTE: the ' :' is intentional, without the space before the :,
             # some parser will translate this
-            print("TEST-UNEXPECTED-FAIL : xperf: %s" % error)
+            print(("TEST-UNEXPECTED-FAIL : xperf: %s" % error))
 
         # We detect if browser_failures.txt exists to exit and turn the job
         # orange
diff --git a/testing/talos/talos/xtalos/parse_xperf.py b/testing/talos/talos/xtalos/parse_xperf.py
index c53425fa33..9dfde5d79d 100644
--- a/testing/talos/talos/xtalos/parse_xperf.py
+++ b/testing/talos/talos/xtalos/parse_xperf.py
@@ -4,17 +4,18 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import os
 import sys
-import xtalos
+from . import xtalos
 import subprocess
-import etlparser
+from . import etlparser
 
 
 def stop(xperf_path, debug=False):
     xperf_cmd = [xperf_path, '-stop', '-stop', 'talos_ses']
     if debug:
-        print("executing '%s'" % subprocess.list2cmdline(xperf_cmd))
+        print(("executing '%s'" % subprocess.list2cmdline(xperf_cmd)))
     subprocess.call(xperf_cmd)
 
 
diff --git a/testing/talos/talos/xtalos/start_xperf.py b/testing/talos/talos/xtalos/start_xperf.py
index 06585b4797..2e8503318f 100644
--- a/testing/talos/talos/xtalos/start_xperf.py
+++ b/testing/talos/talos/xtalos/start_xperf.py
@@ -4,9 +4,10 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import os
 import sys
-import xtalos
+from . import xtalos
 import subprocess
 
 
@@ -26,7 +27,7 @@ def start(xperf_path, xperf_providers, xperf_stackwalk, xperf_user_providers,
                  '-f', '%s.user' % etl_filename
                  ]
     if debug:
-        print("executing '%s'" % subprocess.list2cmdline(xperf_cmd))
+        print(("executing '%s'" % subprocess.list2cmdline(xperf_cmd)))
     subprocess.call(xperf_cmd)
 
 
diff --git a/testing/talos/talos/xtalos/xtalos.py b/testing/talos/talos/xtalos/xtalos.py
index df9a9eecc3..1e739ce1d7 100644
--- a/testing/talos/talos/xtalos/xtalos.py
+++ b/testing/talos/talos/xtalos/xtalos.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import os
 import argparse
 import json
@@ -120,7 +121,7 @@ class XtalosOptions(argparse.ArgumentParser):
         # ensure xperf path exists
         options.xperf_path = os.path.abspath(options.xperf_path)
         if not os.path.exists(options.xperf_path):
-            print("ERROR: xperf_path '%s' does not exist" % options.xperf_path)
+            print(("ERROR: xperf_path '%s' does not exist" % options.xperf_path))
             return None
 
         return options
diff --git a/testing/talos/talos_from_code.py b/testing/talos/talos_from_code.py
index 3ac2ffd582..fa93afa977 100644
--- a/testing/talos/talos_from_code.py
+++ b/testing/talos/talos_from_code.py
@@ -9,11 +9,12 @@
 # Author(s):     Zambrano Gasparnian, Armen <armenzg@mozilla.com>
 # Target:        Python 2.5
 #
+from __future__ import print_function
 from optparse import OptionParser
 import json
 import re
-import urllib2
-import urlparse
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
+import six.moves.urllib.parse
 import sys
 import os
 
@@ -40,27 +41,27 @@ def main():
         jsonFilename = download_file(options.talos_json_url)
     except Exception as e:
         print("ERROR: We tried to download the talos.json file but something failed.")
-        print("ERROR: %s" % str(e))
+        print(("ERROR: %s" % str(e)))
         sys.exit(1)
 
     # 3) download the necessary files
-    print("INFO: talos.json URL: %s" % options.talos_json_url)
+    print(("INFO: talos.json URL: %s" % options.talos_json_url))
     try:
         key = 'talos.zip'
         entity = get_value(jsonFilename, key)
         if passesRestrictions(options.talos_json_url, entity["url"]):
             # the key is at the same time the filename e.g. talos.zip
-            print("INFO: Downloading %s as %s" %
-                  (entity["url"], os.path.join(entity["path"], key)))
+            print(("INFO: Downloading %s as %s" %
+                  (entity["url"], os.path.join(entity["path"], key))))
             download_file(entity["url"], entity["path"], key)
         else:
-            print("ERROR: You have tried to download a file " +
+            print(("ERROR: You have tried to download a file " +
                   "from: %s " % entity["url"] +
-                  "which is a location different than http://talos-bundles.pvt.build.mozilla.org/")
+                  "which is a location different than http://talos-bundles.pvt.build.mozilla.org/"))
             print("ERROR: This is only allowed for the certain branches.")
             sys.exit(1)
     except Exception as e:
-        print("ERROR: %s" % str(e))
+        print(("ERROR: %s" % str(e)))
         sys.exit(1)
 
 
@@ -88,12 +89,12 @@ def get_filename_from_url(url):
     '''
     This returns the filename of the file we're trying to download
     '''
-    parsed = urlparse.urlsplit(url.rstrip('/'))
+    parsed = six.moves.urllib.parse.urlsplit(url.rstrip('/'))
     if parsed.path != '':
         return parsed.path.rsplit('/', 1)[-1]
     else:
-        print("ERROR: We were trying to download a file from %s " +
-              "but the URL seems to be incorrect.")
+        print(("ERROR: We were trying to download a file from %s " +
+              "but the URL seems to be incorrect."))
         sys.exit(1)
 
 
@@ -101,14 +102,14 @@ def download_file(url, path="", saveAs=None):
     '''
     It downloads a file from URL to the indicated path
     '''
-    req = urllib2.Request(url)
-    f = urllib2.urlopen(req)
+    req = six.moves.urllib.request.Request(url)
+    f = six.moves.urllib.request.urlopen(req)
     if path != "" and not os.path.isdir(path):
         try:
             os.makedirs(path)
-            print("INFO: directory %s created" % path)
+            print(("INFO: directory %s created" % path))
         except Exception as e:
-            print("ERROR: %s" % str(e))
+            print(("ERROR: %s" % str(e)))
             sys.exit(1)
     filename = saveAs if saveAs else get_filename_from_url(url)
     local_file = open(os.path.join(path, filename), 'wb')
diff --git a/testing/talos/tests/test_browser_output.py b/testing/talos/tests/test_browser_output.py
index 7b95733c01..ee837bb059 100644
--- a/testing/talos/tests/test_browser_output.py
+++ b/testing/talos/tests/test_browser_output.py
@@ -52,7 +52,7 @@ class TestBrowserOutput(unittest.TestCase):
         pageloader_results = PageloaderResults(raw_report)
         self.assertEqual(len(pageloader_results.results), 12)
         indices = [i['index'] for i in pageloader_results.results]
-        self.assertEqual(indices, range(12))
+        self.assertEqual(indices, list(range(12)))
 
         # test hixie-001.xml just as a spot-check
         hixie_001 = pageloader_results.results[5]
diff --git a/testing/talos/tests/test_filter.py b/testing/talos/tests/test_filter.py
index b4e2d39cf9..cbe9e5c7f1 100755
--- a/testing/talos/tests/test_filter.py
+++ b/testing/talos/tests/test_filter.py
@@ -12,7 +12,7 @@ import talos.filter
 
 class TestFilter(unittest.TestCase):
 
-    data = range(30)  # test data
+    data = list(range(30))  # test data
 
     def test_ignore(self):
         """test the ignore filter"""
diff --git a/testing/talos/tests/test_results.py b/testing/talos/tests/test_results.py
index 015da8ed26..cb5985435b 100755
--- a/testing/talos/tests/test_results.py
+++ b/testing/talos/tests/test_results.py
@@ -44,7 +44,7 @@ class TestPageloaderResults(unittest.TestCase):
 
         # test the indices
         indices = [i['index'] for i in results.results]
-        self.assertEqual(indices, range(12))
+        self.assertEqual(indices, list(range(12)))
 
         # test some pages
         pages = [i['page'] for i in results.results]
